---     
tags: 
  - CustomPointGroups
description: Creates CustomPoints, and CustomPointGroups if the specified name does not already match to an existing group.
  <br/>`dates`, `displacements`, `displacement_errors`, `rcs` and `scr` arrays can also be provided, and must follow the same rules as when creating individually.
  <br/><br/>User must be an admin.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        "Custom Point Group Name": [
          {"name":"Custom Point Name","longitude":0.1,"latitude":51.4,"shape":"circle","colour":"#00FF00"}
        ]
      }
produces: 
  - 'application/json'
responses:
  200:
    schema:
      properties:
        message:
          type: array
          example: 
          - "Using CustomPointGroup <strong>CSK</strong> (id 24)"
          - "Created 3300 and edited 0 CustomPoints"
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

